<template>
  <div>
    <div v-show="loading" class="col-12">
      <div class="mt-4">
        <loading/>
      </div>
    </div>

	<data-row v-for="info in data" v-show="!loading" :key="info['@id']" :data="info"/>
  </div>
</template>

<script>
import Loading from "@/admin/components/loading";
import DataRow from "@/admin/components/data-list/data-row";

export default {
	name: 'DataList',
	components: {
		Loading,
		DataRow,
	},
	props: {
		loading: {
			type: Boolean,
			required: true,
		},
		data: {
			type: Array,
			required: true
		}
	},
};
</script>